%define upstream_name    App-perlbrew
%define upstream_version 0.74

%{?perl_default_filter}

Name:       perlbrew
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Manage perl installations in your $HOME
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Perl::Releases) >= 1.940.0
BuildRequires: perl(Capture::Tiny) >= 0.250.0
BuildRequires: perl(Devel::PatchPerl) >= 1.280.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Temp) >= 0.230.400
BuildRequires: perl(IO::All) >= 0.510.0
BuildRequires: perl(Path::Class) >= 0.330.0
BuildRequires: perl(Pod::Parser) >= 1.620.0
BuildRequires: perl(Pod::Usage) >= 1.640.0
BuildRequires: perl(Test::Exception) >= 0.320.0
BuildRequires: perl(Test::More) >= 1.1.2
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(Test::Output) >= 1.30.0
BuildRequires: perl(Test::Simple) >= 1.1.2
BuildRequires: perl(Test::Spec) >= 0.470.0
BuildRequires: perl(local::lib) >= 2.0.14
BuildArch:  noarch

Obsoletes:  perl-%{upstream_name} <= 0.170.0

%description
perlbrew is a program to automate the building and installation of perl in
the users HOME. At the moment, it installs everything to
'~/perl5/perlbrew', and requires you to tweak your PATH by including a
bashrc/cshrc file it provides. You then can benefit from not having to run
'sudo' commands to install cpan modules because those are installed inside
your HOME too. It's a completely separate perl environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_bindir}/perlbrew
%{_mandir}/man1/perlbrew.1*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.740.0-3pclos2017
- rebuild against updates

